.annees-filter, .sidenav {
    z-index: 3;

    a {
        background: none;
        text-decoration: none;
        font-weight: bold;
        border: 2px solid var(--cts-main);
        color: var(--cts-main);

        &.active {
            background: var(--cts-main);
            color: var(--nav-a-color);

            &:hover {
                background: var(--cts-main);
                border-color: var(--cts-main);
                color: var(--nav-a-color);
            }
        }

        &:hover {
            background: var(--cts-alt);
            border-color: var(--cts-alt);
            color: var(--nav-a-color);
        }
    }

    * {
        font-size: .9em !important;
    }
}

.annees-filter {
    display: flex;
    align-items: flex-end;
    width: calc(100% - 250px);
    margin: 20px auto 0 250px;
    gap: 10px;

    a {
        border-radius: 10px 10px 0 0;
        padding: 10px 20px;
        border-bottom: none;
        transition: all .4s ease;

        &:hover {
            padding: 15px 20px;
        }
    }

    .active {
        padding: 15px 20px;
    }
}

.sidenav {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    justify-content: space-between;
    margin: 20px auto;
    flex: 1;

    .onglets {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: flex-end;
        gap: 10px;

        a {
            width: calc(100% - 60px);
            border-radius: 10px 0 0 10px;
            margin-right: 0;
            padding: 15px 20px;
            border-right: none;
            transition: all .4s ease;

            &:hover {
                width: calc(100% - 40px);
            }
        }

        .active {
            width: calc(100% - 40px);
        }
    }
}

.filter-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 20px;
}

.filters-container {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    gap: 10px;
}

.filter-dropdown {
    display: flex;
    flex-direction: column;

    button {
        width: 100%;
    }
}

.dropdown-toggle {
    position: relative;
    background: var(--text);
    color: black;
    border-radius: 10px;
    border: none;
    cursor: pointer;
    padding-right: 50px;
    margin: 0;
    transition: all .8s ease;

    &::before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        width: 35px;
        height: 100%;
        background: #f2f2f2;
        border-left: 1px solid var(--cts-alt);
        border-top-right-radius: 10px;
        border-bottom-right-radius: 10px;
        transition: all .8s ease;
    }

    &::after {
        content: "▲";
        position: absolute;
        right: 12px;
        top: 50%;
        transform: translateY(-50%);
        font-size: 12px;
        color: #555;
        pointer-events: none;
    }

    &:hover {
        background: var(--cts-alt);
        color: var(--blocks);

        &::after {
            content: "▼";
        }
    }

    &.filter-open {
        border-radius: 10px 10px 0 0;
        background: var(--cts-alt);

        &::before {
            border-bottom-right-radius: 0;
        }

        &::after {
            content: "▲";
        }
    }
}

.dropdown-menu {
    max-height: 0;
    padding: 0 5px;
    overflow: hidden;
    background: var(--blocks);
    border-radius: 0 0 10px 10px;
    z-index: 10;
    transition: all .8s ease;

    label {
        display: flex;
        align-items: center;
        gap: 6px;
        padding: 4px 0;
        cursor: pointer;
    }

    &.filter-open {
        height: fit-content;
        max-height: 350px;
        overflow-y: auto;
        padding: 5px;
    }
}
